/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file quick.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include "quick.h"


aisl_status_t
aislx_quick_response(aisl_stream_t stream, aisl_http_response_t http_response)
{
	aisl_status_t result;

	result = aisl_response(s, http_response, 0);

	if (result == AISL_SUCCESS)
		aisl_flush(s);
	else
		aisl_reject(s);

	return result;
}
